Get Channels of the given Connectivity / Pipe.

get

/underlay/channels/{id}

Get Channels of the given Connectivity / Pipe.

Request

Path Parameters
Query Parameters
  • If set true, filters out channels which are not enabled. This applies only to Pipe Fiber channels.
    Default Value: false
    Example:
    false
  • If set true, filters out channels which are not enabling any trail.
    Default Value: false
    Example:
    false
  • Maximum number of channels to return. Defaults to 25 when omitted or less than one.
    Default Value: 25
    Example:
    10
  • Number of channels to skip before returning results. Defaults to 0 when omitted or less than one.
    Default Value: 0
    Example:
    100
  • Sorting field, defaults to "id" when not supplied. "id" and "name" are the valid values.
    Default Value: id
    Allowed Values: [ "id", "name" ]
    Example:
    id
  • Sorting order, defaults to "asc" when not supplied. "asc" and "desc" are the valid values.
    Default Value: asc
    Allowed Values: [ "asc", "desc" ]
    Example:
    desc

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The Channels returned successfully.
Headers
Body ()
Root Schema : ChannelsResponse
Type: object
Ordered set of channels.
Show Source
Example:
{
    "channels":[
        {
            "id":"739-01",
            "entityId":"70500001",
            "name":"739-1577.02503 nm / 190.1 THz",
            "connectionType":"Pipe",
            "specName":"DWDM_Fiber_Channel"
        },
        {
            "id":"739-04",
            "entityId":"81511",
            "name":"739-1574.54022 nm / 190.4 THz",
            "connectionType":"Pipe",
            "specName":"DWDM_Fiber_Channel",
            "trails":[
                {
                    "connectivityIdentifier":"HYDR01TCA.H01 / HYDR05TCA.H01 / OTU4 / OTU4 / 1",
                    "id":"745",
                    "entityId":"81705",
                    "connectionType":"Connectivity",
                    "specName":"Channelized Facility",
                    "technology":"OTN",
                    "rateCode":"OTU4"
                }
            ]
        },
        {
            "id":"739-04.5",
            "entityId":"81513",
            "name":"739-1574.12685 nm / 190.45 THz",
            "connectionType":"Pipe",
            "specName":"DWDM_Fiber_Channel",
            "trails":[
                {
                    "connectivityIdentifier":"HYDR01TCA.H01 / HYDR05TCA.H01 / OTU4 / OTU4 / 2",
                    "id":"1875006",
                    "entityId":"36150091",
                    "connectionType":"Connectivity",
                    "specName":"Channelized Facility",
                    "technology":"OTN",
                    "rateCode":"OTU4"
                }
            ]
        },
        {
            "id":"739-05",
            "entityId":"81515",
            "name":"739-1573.71369 nm / 190.5 THz",
            "connectionType":"Pipe",
            "specName":"DWDM_Fiber_Channel"
        },
        {
            "id":"739-05.5",
            "entityId":"81517",
            "name":"739-1573.30075 nm / 190.55 THz",
            "connectionType":"Pipe",
            "specName":"DWDM_Fiber_Channel"
        },
        {
            "id":"739-07",
            "entityId":"75000001",
            "name":"739-1572.06323 nm / 190.7 THz",
            "connectionType":"Pipe",
            "specName":"DWDM_Fiber_Channel"
        }
    ],
    "isFiber":true
}
Nested Schema : channels
Type: array
Show Source
Nested Schema : Channel
Type: object
General information about the Connectivity / Pipe channel.
Show Source
Example:
{
    "id":"739-05",
    "entityId":"81515",
    "name":"739-1573.71369 nm / 190.5 THz",
    "connectionType":"Pipe",
    "specName":"DWDM_Fiber_Channel"
}
Nested Schema : trails
Type: array
The trails enabled by this channel.
Show Source
Nested Schema : ConnectionInfo
Type: object
General information about the Connectivity / Pipe entity terminated on the subnode.
Show Source
Examples

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Type: object
Used when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
  • The error code.
  • Allowed Values: [ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]
    The list of valid values for an entity class.
  • message
    The text that provides more details about the error as well as corrective actions.
  • The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
  • The URL pointing to the documentation that describes the error.
  • The HTTP error code extension, such as 400-2.
Nested Schema : message
Type: array
The text that provides more details about the error as well as corrective actions.
Show Source

401 Response

You aren't authorized to make this request.
Body ()
Root Schema : Error
Type: object
Used when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
  • The error code.
  • Allowed Values: [ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]
    The list of valid values for an entity class.
  • message
    The text that provides more details about the error as well as corrective actions.
  • The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
  • The URL pointing to the documentation that describes the error.
  • The HTTP error code extension, such as 400-2.
Nested Schema : message
Type: array
The text that provides more details about the error as well as corrective actions.
Show Source

403 Response

The request is forbidden.
Body ()
Root Schema : Error
Type: object
Used when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
  • The error code.
  • Allowed Values: [ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]
    The list of valid values for an entity class.
  • message
    The text that provides more details about the error as well as corrective actions.
  • The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
  • The URL pointing to the documentation that describes the error.
  • The HTTP error code extension, such as 400-2.
Nested Schema : message
Type: array
The text that provides more details about the error as well as corrective actions.
Show Source

404 Response

Paths are not found.
Body ()
Root Schema : Error
Type: object
Used when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
  • The error code.
  • Allowed Values: [ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]
    The list of valid values for an entity class.
  • message
    The text that provides more details about the error as well as corrective actions.
  • The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
  • The URL pointing to the documentation that describes the error.
  • The HTTP error code extension, such as 400-2.
Nested Schema : message
Type: array
The text that provides more details about the error as well as corrective actions.
Show Source

500 Response

An internal server error occurred.
Body ()
Root Schema : Error
Type: object
Used when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
  • The error code.
  • Allowed Values: [ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]
    The list of valid values for an entity class.
  • message
    The text that provides more details about the error as well as corrective actions.
  • The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
  • The URL pointing to the documentation that describes the error.
  • The HTTP error code extension, such as 400-2.
Nested Schema : message
Type: array
The text that provides more details about the error as well as corrective actions.
Show Source
Back to Top